# FusionFilter

>Note, the FusionFilter ctat-genome-lib building components have been migrated over to the aptly named [ctat-genome-lib-builder project](https://github.com/NCIP/ctat-genome-lib-builder/wiki). 

FusionFilter provides a common fusion-finding, filtering, and annotation framework used by the [Trinity Cancer Transcriptome Analysis Toolkit (CTAT)](https://github.com/NCIP/Trinity_CTAT/wiki).  This system integrates utilities for filtering likely false-positive fusions. FusionFilter is integrated as a submodule of CTAT fusion detection tools including: [STAR-Fusion](http://star-fusion.github.io), [DISCASM/GMAP-fusion](https://github.com/DISCASM/DISCASM/wiki), and [FusionInspector](https://github.com/FusionInspector/FusionInspector/wiki).

While the initial use of FusionFilter is to build the genome and annotation resource sets required by CTAT tools for fusion finding, it is leveraged by CTAT tools for final filtering of likely false positives according to the following criteria:

*  the two partners of a candidate fusion transcript share sequence similarity as determined by a BLAST search.
*  one of the fusion partners is considered promiscuous in that it shows up as having multiple candidate fusion parters.

FusionFilter is already included as a submodule within each of the Trinity CTAT Fusion resources.  Given that it is a shared utility, we have this separate GitHub repository for maintaining the code.  It is unlikely that you would need to install this tool separately.

## User support

Contact us on our google group <https://groups.google.com/forum/#!forum/trinity_ctat_users>